Subject: linux-next: manual merge of the pinctrl tree with the jc_docs tree

From: Stephen Rothwell <[email-masked]>
Date: Fri, 21 May 2021 14:17:28 +1000

Hi all,

Today's linux-next merge of the pinctrl tree got a conflict in:

  include/linux/pinctrl/pinconf-generic.h

between commit:

  4b0c9948a4c2 ("docs: update pin-control.rst references")

from the jc_docs tree and commit:

  57b55eeb7552 ("pinctrl: Keep enum pin_config_param ordered by name (part 2)")

from the pinctrl tree.

I fixed it up (see below) and can carry the fix as necessary. This
is now fixed as far as linux-next is concerned, but any non trivial
conflicts should be mentioned to your upstream maintainer when your tree
is submitted for merging.  You may also want to consider cooperating
with the maintainer of the conflicting tree to minimise any particularly
complex conflicts.

-- 
Cheers,
Stephen Rothwell

diff --cc include/linux/pinctrl/pinconf-generic.h
index 5a96602a3316,98ed5959ca9a..000000000000
--- a/include/linux/pinctrl/pinconf-generic.h
+++ b/include/linux/pinctrl/pinconf-generic.h
@@@ -81,6 -81,10 +81,10 @@@ struct pinctrl_map
   *	passed in the argument on a custom form, else just use argument 1
   *	to indicate low power mode, argument 0 turns low power mode off.
   * @PIN_CONFIG_MODE_PWM: this will configure the pin for PWM
+  * @PIN_CONFIG_OUTPUT: this will configure the pin as an output and drive a
+  * 	value on the line. Use argument 1 to indicate high level, argument 0 to
 - *	indicate low level. (Please see Documentation/driver-api/pinctl.rst,
++ *	indicate low level. (Please see Documentation/driver-api/pin-control.rst,
+  *	section "GPIO mode pitfalls" for a discussion around this parameter.)
   * @PIN_CONFIG_OUTPUT_ENABLE: this will enable the pin's output mode
   * 	without driving a value there. For most platforms this reduces to
   * 	enable the output buffers and then let the pin controller current